> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocartapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer Details

> Retrieve customer details associated with the cart.

<Info>
  This endpoint is available in [CoCart Plus](https://cocartapi.com/pricing/?ref=mintlify).
</Info>


## OpenAPI

````yaml api-reference/v1/openapi-cart-v1.yaml get /customer
openapi: 3.0.3
info:
  title: CoCart - Cart API v1
  version: 4.6.0
  description: API for managing shopping carts
  termsOfService: http://cocartapi.com/terms-of-conditions-polar/
  contact:
    email: support@cocartapi.com
  license:
    name: GNU General Public License v3.0
    url: http://www.gnu.org/licenses/gpl-3.0.html
servers:
  - url: '{protocol}://{host}/wp-json/cocart/v1'
    description: API v1
    variables:
      protocol:
        enum:
          - http
          - https
        default: https
      host:
        default: example-store.com
        description: Your store domain
security: []
tags:
  - name: cart
    description: Operations for managing the shopping cart
  - name: items
    description: Operations for managing cart items
  - name: coupons
    description: Operations for managing cart coupons
  - name: fees
    description: Operations for managing cart fees
  - name: shipping
    description: Operations for managing shipping methods and rates
  - name: calculate
    description: Operations for calculating cart totals
  - name: products
    description: Operations for managing products
externalDocs:
  description: Find out more about CoCart API
  url: https://docs.cocartapi.com
paths:
  /customer:
    get:
      tags:
        - cart
      summary: Get cart owner details
      description: Gets the details of the cart owner (customer).
      responses:
        '200':
          description: Cart owner details retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerResponse'
components:
  schemas:
    CustomerResponse:
      type: object
      properties:
        user:
          type: object
          properties:
            ID:
              type: integer
            first_name:
              type: string
            last_name:
              type: string
        billing:
          type: object
          properties:
            first_name:
              type: string
            last_name:
              type: string
            company:
              type: string
            email:
              type: string
            phone:
              type: string
            country:
              type: string
            state:
              type: string
            postcode:
              type: string
            city:
              type: string
            address:
              type: string
            address_1:
              type: string
            address_2:
              type: string
        shipping:
          type: object
          properties:
            first_name:
              type: string
            last_name:
              type: string
            company:
              type: string
            country:
              type: string
            state:
              type: string
            postcode:
              type: string
            city:
              type: string
            address:
              type: string
            address_1:
              type: string
            address_2:
              type: string
        has_calculated_shipping:
          type: boolean
        is_vat_exempt:
          type: string

````